Subject: Ftp-WG: NLST vs MLSD

From: Jeffrey Altman <[email-masked]>
Date: Tue, 15 Oct 2002 07:48:35 -0500

> > It is also wrong to assume that bandwidth to
> > the endpoints can handle large quantities of raw unneeded data.
> 
> You are talking about a ridiculously minor bandwidth issue. We could
> save more of the Internet's bandwidth by removing the ``P'' on the first
> line of every HTTP connection. Don't you have any real work to do?

Its not about saving bandwidth on the Internet.  Its about saving
time and money on links which are much too slow to send large
quantities of data.  A large part of the world simply does not have
the bandwidth you are accustomed to at a University in the USA.  Even
in the USA, the bandwidth over cellular networks is still severely
limited.  In most cases to 9600 cps or less.  The cost of sending data
on the networks is very high.  In the third world, and even on most of
Europe the cost for sending data is relative either to the amount of
data sent or the time of the connection.

Reducing the amount of data transfered is an issue in these
applications. 
 
> > To say that FTP should not be used for this class of application is absurd.  
> 
> FTP should not be used for this class of application. The protocol does
> not provide disk commitment, for example, so it can't be used for
> reliable transaction processing.
> 
> If you aren't using FTP, but rather a private extension to FTP with some
> transaction features added, you're an incompetent protocol designer.
> Starting from FTP as the base for a new protocol is like starting from
> OS/360 as the base for a new operating system.

IBM did not extend FTP.  Their service works with any FTP client on
any Operating System.  That is why they are using FTP.  Because it is
everywhere.  It is precisely because IBM did not want to be
responsible for designing a new protocol and being forced to implement
it on every possible operating system that they used FTP.

The reality is that there are few guarrantees in network
communications.  NFS is not exactly the most reliable means of sharing
file systems.  Does that means that people do not use it?  I think
not.

 Jeffrey Altman * Sr.Software Designer     Kermit 95 2.0 GUI available now!!!
 The Kermit Project @ Columbia University  SSH, Secure Telnet, Secure FTP, HTTP
 http://www.kermit-project.org/            Secured with MIT Kerberos, SRP, and 
 [email-masked]               OpenSSL.